Holger's Java API

## com.antelmann.calendar
Enum Month

    java.lang.Object
      java.lang.Enum<Month>
          com.antelmann.calendar.Month

All Implemented Interfaces:
  Serializable, Comparable<Month>

    public enum Month

extends Enum<Month>

Since:
  02.07.2008, 21:34:01
Author:
  Holger Antelmann
See Also:
  `WeekDay`, `TimeInterval.MONTH`

Enum Constant Summary
`APRIL`
`AUGUST`
`DECEMBER`
`FEBRUARY`
`JANUARY`
`JULY`
`JUNE`
`MARCH`
`MAY`
`NOVEMBER`
`OCTOBER`
`SEPTEMBER`

Method Summary
`static Month` `fromDate(Date date)`
`static Month` `fromInt(int month)` accepts the constants used in `Calendar`
`static Month` `fromTime(long time)`
`String` `getName(Locale l)`
`int` `intValue()` corresponds to the constants used in `Calendar`
`String` `shortString()`
`String` `toString()`
`static Month` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Month[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JANUARY

    public static final Month JANUARY

### FEBRUARY

    public static final Month FEBRUARY

### MARCH

    public static final Month MARCH

### APRIL

    public static final Month APRIL

### MAY

    public static final Month MAY

### JUNE

    public static final Month JUNE

### JULY

    public static final Month JULY

### AUGUST

    public static final Month AUGUST

### SEPTEMBER

    public static final Month SEPTEMBER

### OCTOBER

    public static final Month OCTOBER

### NOVEMBER

    public static final Month NOVEMBER

### DECEMBER

    public static final Month DECEMBER

Method Detail

### values

    public static Month[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Month c : Month.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Month valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### intValue

    public int intValue()

  corresponds to the constants used in `Calendar`

### fromInt

    public static Month fromInt(int month)
                         throws IllegalArgumentException

  accepts the constants used in `Calendar`

  Throws:
    `IllegalArgumentException`

### fromTime

    public static Month fromTime(long time)

### fromDate

    public static Month fromDate(Date date)

### shortString

    public String shortString()

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Month>`

### getName

    public String getName(Locale l)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads